include <lad_link.scad>;
include <lad_rack&gear.scad>;

bridge_length = 150;
bridge_width = 30;
span_thickness = 15;
bridge_angle = 30;

bridge_y_offset = -sin(bridge_angle)*bridge_length;
bridge_z_offset = span_thickness+cos(bridge_angle)*bridge_length;

module bridge() {
	rotate(a=[bridge_angle, 0, 0]) translate([0, 0, bridge_length/2])
		difference() {
			cube([teeth_hole_length, bridge_width, bridge_length], center=true); 
		}
}

module bridge_on_rack() {
	union() {
		cube([teeth_hole_length, teeth_width, ladder_height], center=true);
		translate([0, ladder_width-teeth_width, 0])
			cube([teeth_hole_length, teeth_width, ladder_height], center=true);
		translate([0, -(ladder_width-teeth_width), 0])
			cube([teeth_hole_length, teeth_width, ladder_height], center=true);
		translate([0, 0, ladder_height])
			cube([teeth_hole_length, 2*teeth_width+ladder_width, span_thickness], center=true);
		translate([0, 0, span_thickness]) bridge(); 
	}
}

//bridge_on_rack();
//translate([0, 2*bridge_y_offset, 2*bridge_z_offset]) rotate([180, 0, 0]) bridge_on_rack();