// ladder rack and fitting gear
include <lad_link.scad>;

ladder_length = 150;
ladder_width = 30;
ladder_height = 15;

teeth_length = 5;
teeth_width = 10;
teeth_hole_length = 5;
teeth_hole_depth = 5;

module rack() {
	difference() {
		cube([ladder_length, ladder_width, ladder_height], center=true);
	
		for(i=[0:7]) {
			translate([i*(teeth_length+teeth_hole_length), 0, ladder_height/2]) 
				cube([teeth_hole_length, teeth_width, ladder_height*2], center = true);
			translate([-i*(teeth_length+teeth_hole_length), 0, ladder_height/2]) 
				cube([teeth_hole_length, teeth_width, ladder_height*2], center = true);
		}

		// link holes
		translate([ladder_length/2, -ladder_width/3, 0]) 
			link_hole();
		translate([ladder_length/2, ladder_width/3, 0]) 
			link_hole();
		translate([-ladder_length/2, -ladder_width/3, 0]) 
			link_hole();
		translate([-ladder_length/2, ladder_width/3, 0]) 
			link_hole();
	}
}

dxf_resize_factor = 1.35;
gear_heigth = 9 / dxf_resize_factor;
motor_bearing_radius = 2.5;

module gear() {

	difference() {
		union() {
			scale([dxf_resize_factor, dxf_resize_factor, dxf_resize_factor])
				linear_extrude(height=gear_heigth, center=true) 
					import("lad_gear.dxf");
			translate([0,0,5])
				cylinder(h=2*gear_heigth, r=10, center=true);
		}

		cylinder(h=4*gear_heigth, r=motor_bearing_radius, center=true);
	}
}

//rack();
// translate([5,0,25]) rotate(a=[90,15,0]) gear();

